> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geo-endpoints-for-spatial-data-access.md).

# Mekânsal Veri Erişimi için Coğrafi Uç Noktalar

{% hint style="success" %}
GeoPard, aşağıdaki biçimleri kullanır: <https://www.ogc.org/> WMS gibi görüntü verileri ve WFS gibi vektör verileri için Open Geospatial Consortium veri biçimleri. Ayrıca içe ve dışa aktarma işlemlerinde shapefile dosyalarıyla çalışıyoruz. Motor, bu veri biçimlerinin herhangi birinde içe ve dışa aktarma yapabilecek esnekliğe sahiptir. Uydu görüntüleri için [COG'larla (Cloud Optimized GeoTIFF)](https://www.cogeo.org/)
{% endhint %}

{% hint style="info" %}
WMS/WFS isteklerini yürütmek için Postman'ı yüklemeniz gerekir.
{% endhint %}

{% hint style="info" %}
Her istek, HEADER "Authorization" (belirtecin eklenmesi gereken yer) veya URL parametresi "geopardApiKey " (kullanıcı API anahtarının eklenmesi gereken yer) ile imzalanmalıdır.
{% endhint %}

WMS API uç noktaları, "Field", "FieldSatelliteImage", "VectorAnalysisMap", "RasterAnalysisMap", "TopographyMap", "SoilDataset" ve "YieldDataset" varlıklarının "geoMaps" özniteliklerinde saklanır. Şuraya bakın: [GeoPard DataScheme.](https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geopard-api-data-schema.md)

WFS API uç noktaları, "Field" ve "VectorAnalysisMap" varlıklarının "boundaryUrl", "zonesMapUrl" ve "attributesUrl" özniteliklerinde saklanır.

{% hint style="info" %}
Daha doğru görüntüler elde etmek için EPSG:3857 yerine EPSG:900913 projeksiyonunu kullanmanızı öneririz.
{% endhint %}

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/tr/api-dokumanlari/geo-endpoints-for-spatial-data-access.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
